MyGUI: MyGUI::ControllerFadeAlpha Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ControllerFadeAlpha Class Reference

`#include <MyGUI_ControllerFadeAlpha.h>`

Inheritance diagram for MyGUI::ControllerFadeAlpha:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ControllerFadeAlpha | RTTIBase
Public Types inherited from MyGUI::ControllerItem
typedef RTTIBase | Base
typedef ControllerItem | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| ControllerFadeAlpha ()
virtual | ~ControllerFadeAlpha ()
void | setAlpha (float _value)
void | setCoef (float _value)
void | setEnabled (bool _value)
virtual bool | addTime (Widget *_widget, float _time)
virtual void | prepareItem (Widget *_widget)
virtual void | setProperty (const std::string &_key, const std::string &_value)
Public Member Functions inherited from MyGUI::ControllerItem
template<typename Type >
bool | isType () const
virtual | ~ControllerItem ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ControllerItem
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Data Fields inherited from MyGUI::ControllerItem
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPreAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventUpdateAction
EventPairAddParameter< EventHandle_WidgetPtr, EventHandle_WidgetPtrControllerItemPtr > | eventPostAction

## Detailed Description

This controller used for smooth changing alpha of widget in time

Definition at line 18 of file MyGUI_ControllerFadeAlpha.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ControllerFadeAlpha::Base

Definition at line 21 of file MyGUI_ControllerFadeAlpha.h.

## ◆ RTTIBase

typedef ControllerFadeAlpha MyGUI::ControllerFadeAlpha::RTTIBase

Definition at line 21 of file MyGUI_ControllerFadeAlpha.h.

## Constructor & Destructor Documentation

## ◆ ControllerFadeAlpha()

MyGUI::ControllerFadeAlpha::ControllerFadeAlpha | ( |  | ) |

Definition at line 17 of file MyGUI_ControllerFadeAlpha.cpp.

## ◆ ~ControllerFadeAlpha()

MyGUI::ControllerFadeAlpha::~ControllerFadeAlpha | ( |  | ) |
| virtual

Definition at line 24 of file MyGUI_ControllerFadeAlpha.cpp.

## Member Function Documentation

## ◆ addTime()

bool MyGUI::ControllerFadeAlpha::addTime | ( | Widget * | _widget,
|  | float | _time
| ) |  |
| virtual

Implements MyGUI::ControllerItem.

Definition at line 46 of file MyGUI_ControllerFadeAlpha.cpp.

## ◆ getClassTypeName()

static const std::string& MyGUI::ControllerFadeAlpha::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 21 of file MyGUI_ControllerFadeAlpha.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::ControllerFadeAlpha::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::ControllerItem.

Definition at line 21 of file MyGUI_ControllerFadeAlpha.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ControllerFadeAlpha::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_ControllerFadeAlpha.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ControllerFadeAlpha::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::ControllerItem.

Definition at line 21 of file MyGUI_ControllerFadeAlpha.h.

## ◆ prepareItem()

void MyGUI::ControllerFadeAlpha::prepareItem | ( | Widget * | _widget | ) |
| virtual

Implements MyGUI::ControllerItem.

Definition at line 28 of file MyGUI_ControllerFadeAlpha.cpp.

## ◆ setAlpha()

void MyGUI::ControllerFadeAlpha::setAlpha | ( | float | _value | ) |

Parameters

  _value | Alpha that will be as result of changing

Definition at line 96 of file MyGUI_ControllerFadeAlpha.cpp.

## ◆ setCoef()

void MyGUI::ControllerFadeAlpha::setCoef | ( | float | _value | ) |

Parameters

  _value | Coefficient of alpha changing speed (1. mean that alpha will change from 0 to 1 at 1 second)

Definition at line 101 of file MyGUI_ControllerFadeAlpha.cpp.

## ◆ setEnabled()

void MyGUI::ControllerFadeAlpha::setEnabled | ( | bool | _value | ) |

Parameters

  _value | If true then widget will be inactive after start of alpha changing

Definition at line 106 of file MyGUI_ControllerFadeAlpha.cpp.

## ◆ setProperty()

void MyGUI::ControllerFadeAlpha::setProperty | ( | const std::string & | _key,
|  | const std::string & | _value
| ) |  |
| virtual

Reimplemented from MyGUI::ControllerItem.

Definition at line 86 of file MyGUI_ControllerFadeAlpha.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ControllerFadeAlpha.h
- MyGUI_ControllerFadeAlpha.cpp